function [ p, cv ] = cprobs( u,beta,F,V )
%Given an ex ante value V and a transition matrix F, it returns the
%conditional choice probabilities p and the conditional choice values cv.

% Conditional Value
cv(1,:) = u(1,:) + beta*V*F(:,:,1);
cv(2,:) = u(2,:) + beta*V*F(:,:,2);

% Apply Logit Formula
num    = exp(cv);
denom  = sum(num,1);
p(1,:) = num(1,:)./denom;
p(2,:) = num(2,:)./denom;

end