function V_sol = solvevalue(u,beta,F,V)
%Solves for the value function, given per period payoffs u, discount rate
%beta, transtition matrix F and initial guess V

tol = 1e-20;
dif = 100;
eulergamma = 0.5772156649015328606065120900824;

while dif > tol
    
    % Conditional Values
    Vnew(1,:) = u(1,:) + beta*V*F(:,:,1);
    Vnew(2,:) = u(2,:) + beta*V*F(:,:,2);
    
    % Use expression for ex ante value
    V1 = log(sum(exp(Vnew),1)) + eulergamma;  
    
    % Compare with previous V 
    dif = max(max(abs(V1-V)));
    
    % New V        
    V = V1;

end

V_sol = V1;

end
