function [avdmu muC muA badobs] = EntryTax(theta,sigma,beta,Rc,Rnc,Fw,Fk,badin)


r(:,:,1) = Rc(:,:);
r(:,:,2) = Rnc(:,:);

Nrz = size(theta,1);

if length(sigma) == 1
	sigma = sigma*ones(Nrz,1);
end

muC = zeros(Nrz,3);
muA = zeros(Nrz,3);

theta = theta./sigma(:,ones(6,1));
lambda = ones(Nrz,1)./sigma;

for i=1:Nrz
	thetaA = reshape(theta(i,:),3,2);
	thetaC = reshape(theta(i,:),3,2);
	%thetaC(3,1) = thetaC(3,1)*1.1;
    thetaC(3,1) = thetaC(3,1)*1.2;
	muC(i,:) = LRmu(thetaC,lambda(i),beta,r(i,:,:),Fw,Fk)';
	muA(i,:) = LRmu(thetaA,lambda(i),beta,r(i,:,:),Fw,Fk)';
end

% isnans come up for some fields with large intercepts
badA = isnan(muA);
badC = isnan(muC);
badobs = max(badA, badC);
muC(badobs) = 0;
muA(badobs) = 0;
badin = logical(badin);
muC(badin) = 0;
muA(badin) = 0;

avdmu = (sum(muC(:,1)) - sum(muA(:,1)))/sum(muA(:,1));
