function mu = LRmu(theta,lambda,beta,r,Fw,Fk)
% solves long-run distribution of field states 

K = size(Fk,1);
V0 = zeros(1,K);

% solve ex ante value function
V = solve_v(theta,lambda,beta,r,Fw,Fk,V0);

% calculate conditional value function  and CCPs
cv =  vcond(theta,lambda,beta,r,Fw,Fk,V);
p = ccp(cv);

% the Markov transition matrix over states
M = [p(1,:,1)', [p(1,1,2); 0; 0], [0; p(1,2,2); p(1,3,2)]]';

% steady-state distribution of field states
mu = (M^50000)*[1/3; 1/3; 1/3];
