function S = calcS(g,fid,k,year,wt,keep,TT)
% Asymptotic variance estimate of parameters, clustered by year 

% Number of Obs
NN = size(g,1);
N = sum(keep,1);

% Number of Moment Restrictions
K  = size(g,2);

% Weights
wt(keep == 0) = 0;

% Temp
temp = [fid k year keep wt g];

% Sort data by year, k, fid
temp = sortrows(temp,[3,2,1]);

% Convert to array indexed by fid-k,year
temp_a = reshape(temp,[NN/TT,TT,5+K]);

% Make sure residuals are zero for ommitted observations
keep_a   = temp_a(:,:,4);
wt_a     = temp_a(:,:,5);
g_a      = temp_a(:,:,6:(5+K));
keepaa   = keep_a(:,:,ones(K,1));
g_a(keepaa == 0) = 0;

% (Weighted) Moment Restriction
g_a = g_a.*wt_a(:,:,ones(K,1));

% Var-Cov Matrix clustered by year
% CHECK THIS!!!
S = zeros(K,K);
for t = 1:TT
	gtmat = reshape(g_a(:,t,:),NN/TT,K);
	for n = 1:size(gtmat,1)
		gn    = gtmat(n,:);
		gnvec = gn(ones(size(gtmat,1),1),:);
		S = S + gnvec'*gtmat;
	end
end

S = S/(N-1);
