
local mainfolder = "/home/landvalues/"


* ---------------------
* zip codes
insheet using "`mainfolder'zips_ccp.csv", names comma clear
keep lon lat zcta5ce10
rename zcta5ce10 zip_merged
contract lon lat zip_merged
save temp, replace

use "`mainfolder'ccp_sample.dta", clear
* save some memory
drop cdl*
drop r1997-r2005

merge m:1 lon lat using temp
keep if _merge ==3
drop _merge
save "`mainfolder'ccp_data.dta", replace

* ---------------------
* commercial: nearest without cutoffs
insheet using "`mainfolder'commercial/ccp_commercial_eat.csv", clear
drop fid
duplicates drop
drop closest_pt* loglv2*
forvalues i = 1/5 {
	rename distance_km`i' eat_dist`i'
	rename loglv_pt`i' eat_loglv`i'
}
save temp, replace
use "`mainfolder'ccp_data.dta", clear
merge m:1 lon lat using temp
keep if _merge ==3
drop _merge
save "`mainfolder'ccp_data.dta", replace

insheet using "`mainfolder'commercial/ccp_commercial_food.csv", clear
drop fid
duplicates drop
drop closest_pt* loglv2*
forvalues i = 1/5 {
	rename distance_km`i' food_dist`i'
	rename loglv_pt`i' food_loglv`i'
}
save temp, replace
use "`mainfolder'ccp_data.dta", clear
merge m:1 lon lat using temp
keep if _merge ==3
drop _merge
save "`mainfolder'ccp_data.dta", replace

* ---------------------
* urban: 10k and 100k

insheet using "`mainfolder'urban/ccp_urban_10k.csv", clear
drop fid
duplicates drop
drop closest_pt*
forvalues i = 1/3 {
	rename distance_km`i' dist_urban`i'_10k
	rename pop_pt`i' urbanpop`i'_10k
}
save temp, replace
use "`mainfolder'ccp_data.dta", clear
merge m:1 lon lat using temp
keep if _merge ==3
drop _merge
save "`mainfolder'ccp_data.dta", replace

insheet using "`mainfolder'urban/ccp_urban_100k.csv", clear
drop fid
duplicates drop
forvalues i = 1/3 {
	rename distance_km`i' dist_urban`i'_100k
	rename pop_pt`i' urbanpop`i'_100k
}
save temp, replace
use "`mainfolder'ccp_data.dta", clear
merge m:1 lon lat using temp
keep if _merge ==3
drop _merge
save "`mainfolder'ccp_data.dta", replace

* add zip codes
insheet using "`mainfolder'zips.csv", names comma clear
keep fid zcta5ce10
rename zcta5ce10 zip_merged
save temp, replace

use "`mainfolder'ccp_data.dta", clear
merge m:1 fid using temp
drop _merge
save "`mainfolder'ccp_data.dta", replace
