


set more off

local mainfolder = "/home/landvalues/"
local dqfolder = "/home/landvalues/dataquick/"
local spatialfolder = "/home/landvalues/spatial_data/"
local mergedfolder = "/home/landvalues/merging/"
local commercialfolder = "/home/landvalues/commercial/"


* grab only the points which are in counties which have observations in the DQ data

use "`mainfolder'clean_data.dta", clear
contract fips
drop _freq
save "`mainfolder'sample_fips.dta", replace


* we want a version which only includes counties in our V database as well as
* a full sample of counties
use "`mergedfolder'cdl_with_spatial_vars.dta", clear
gen fips = fipsstate*1000 + fipscounty
merge m:1 fips using "`mainfolder'sample_fips.dta"
gen inV = _merge==3
drop _merge
gen fid = _n

* create j
do "`mainfolder'classifyCropscape.do"

* generate k
forvalues yr=2008/2014 {
	local lyr = `yr' - 1
	local l2yr = `yr'-2
	gen k`yr'=0 if j`lyr'==1
	replace k`yr' = 1 if j`lyr'==0 & j`l2yr'==1
	replace k`yr' = 2 if j`lyr'==0 & j`l2yr'==0
}

forvalues yr=2006/2014 {
	drop if j`yr'==8
}

merge m:1 fips using r
keep if _merge==3
drop _merge

drop if cdl2010==.

save "`mainfolder'ccp_sample_full.dta", replace

keep if inV
save "`mainfolder'ccp_sample.dta", replace


keep fid lat lon
outsheet using "`mainfolder'ccp_points.csv", names comma replace
