

local mainfolder = "/home/landvalues/"
* local mainfolder = "C:/Users/Paul/Desktop/"


* ---------------
* V data

use "`mainfolder'clean_data_all.dta", clear

* keep only resale transactions
keep if transaction_type=="R"
drop if gaezprotected==1 | gaezprotected==2
gen stfips = floor(fips/1000)


* commercial property variables
forvalues i = 1/5 {
	gen force_eat`i' = loglv_eat`i'/(.001 + dist_eat`i'^2)
	gen force_food`i' = loglv_food`i'/(.001 + dist_food`i'^2)
}
gen mf_eat = (force_eat1 + force_eat2 + force_eat3 + force_eat4 + force_eat5)/5
gen mf_food = (force_food1 + force_food2 + force_food3 + force_food4 + force_food5)/5
gen mval_eat = (loglv_eat1 + loglv_eat2 + loglv_eat3 + loglv_eat4 + loglv_eat5)/5
gen mval_food = (loglv_food1 + loglv_food2 + loglv_food3 + loglv_food4 + loglv_food5)/5
gen mdist_eat = (dist_eat1 + dist_eat2 + dist_eat3 + dist_eat4 + dist_eat5)/5
gen mdist_food =  (dist_food1 + dist_food2 + dist_food3 + dist_food4 + dist_food5)/5

* population variables
gen force_urban10k = pop_1_10k/(.001 + dist_urban1_10k^2)
gen force_urban100k = pop_1_100k/(.001 + dist_urban1_100k^2)

* logged variables
gen ldist_10k = log(dist_urban1_10k)
gen ldist_100k = log(dist_urban1_100k)
gen lf_10k = log(force_urban10k)
gen lf_100k = log(force_urban100k)

gen la = log(acres)
destring trust, replace
replace no_money = 1 if no_money==.
replace ownertype = 0 if ownertype==.
replace trust = 0 if trust==.

save "`mainfolder'vdata_final.dta", replace


* ---------------
* CCP data

use "`mainfolder'ccp_data.dta", clear

* commercial property variables
forvalues i = 1/5 {
	gen force_eat`i' = eat_loglv`i'/(.001 + eat_dist`i'^2)
	gen force_food`i' = food_loglv`i'/(.001 + food_dist`i'^2)
}
gen mf_eat = (force_eat1 + force_eat2 + force_eat3 + force_eat4 + force_eat5)/5
gen mf_food = (force_food1 + force_food2 + force_food3 + force_food4 + force_food5)/5
gen mval_eat = (eat_loglv1 + eat_loglv2 + eat_loglv3 + eat_loglv4 + eat_loglv5)/5
gen mval_food = (food_loglv1 + food_loglv2 + food_loglv3 + food_loglv4 + food_loglv5)/5
gen mdist_eat = (eat_dist1 + eat_dist2 + eat_dist3 + eat_dist4 + eat_dist5)/5
gen mdist_food =  (food_dist1 + food_dist2 + food_dist3 + food_dist4 + food_dist5)/5

* population variables
gen force_urban10k = urbanpop1_10k/(.001 + dist_urban1_10k^2)
gen force_urban100k = urbanpop1_100k/(.001 + dist_urban1_100k^2)

* logged variables
gen ldist_10k = log(dist_urban1_10k)
gen ldist_100k = log(dist_urban1_100k)
gen lf_10k = log(force_urban10k)
gen lf_100k = log(force_urban100k)

rename gaezsoil_dominant soil
rename srtmaltitude alt

tab gaezpop_dens, gen(dgpop)
tab soil, gen(dsoil)

local zvars = "ldist_100k mval_eat slope alt soil"
foreach var in `zvars' {
	drop if `var'==.
}

save "`mainfolder'ccpdata_final.dta", replace
