# estimation.sh
# performs all estimation commands

# pool some states and construct weights between zip codes
# nohup stata -b do zip_weights.do &
nohup stata -b do county_weights.do &

# record sample sizes
stata -b do sample_sizes.do

# run first stage CCP estimation
counter=0
for (( i=1; i<=5; i++ ))
for (( i=4; i<=5; i++ ))
do
	for (( j=1; j<=2; j++ ))
	do
		cat firststage_semip.do | sed -e 's/XXccpXX/'$i'/' > temp1.do
  	cat temp1.do | sed -e 's/XXsoilXX/'$j'/' > temp2.do
		stata -b do temp2.do &
		sleep 12
		(( counter += 1 ))
		if (( $counter % 5 == 0 )); then wait; fi
	done
done


# run first stage hedonics
counter=0
for (( i=1; i<=2; i++ ))
do
	for (( j=1; j<=2; j++ ))
	do
		for (( k=1; k<=2; k++ ))
		do
			for (( l=1; l<=2; l++ ))
			do
				for (( m=1; m<=2; m++ ))
				do
					cat firststage_hedonics.do | sed -e 's/XXvdepXX/'$i'/' > temp1.do
					cat temp1.do | sed -e 's/XXacresXX/'$j'/' > temp2.do
					cat temp2.do | sed -e 's/XXhdumXX/'$k'/' > temp3.do
					cat temp3.do | sed -e 's/XXhzXX/'$l'/' > temp4.do
					cat temp4.do | sed -e 's/XXpyearXX/'$m'/' > temp5.do
					stata -b do temp5.do &
					sleep 12
					(( counter += 1 ))
					if (( $counter % 6 == 0 )); then wait; fi
				done
			done
		done
	done
done
