

set more off

local mainfolder = "/home/landvalues/"
local dqfolder = "/home/landvalues/dataquick/processed/"
local spatialfolder = "/home/landvalues/spatial_data/"
local mergedfolder = "/home/landvalues/merging/"
local ccpfolder = "/home/landvalues/ccp"

clear
gen lon = .
save "`mergedfolder'cdl_with_spatial_vars", replace

forvalues i = 1/111 {
	display "working on file `i'"
	capture insheet using "`mergedfolder'cdl`i'.csv", clear
	if !_rc {
		keep lat lon cdl* fipsstate fipscounty slope aspect srtmaltitude gaezprotected gaezsoil gaezpop
		destring slope aspect srtmaltitude cdl*  gaezprotected gaezsoil gaezpop, force replace
		save "`mergedfolder'cdl_cleaned`i'", replace
	}
}


clear
gen lon = .
forvalues i = 1/111 {
	capture append using  "`mergedfolder'cdl_cleaned`i'"
}
save "`mergedfolder'cdl_with_spatial_vars.dta", replace
