function avres = getavres(res,fid,k,year,keep)
% average residuals by field and k across years

% Number of obs
NN = length(res);

% Number of years
TT = max(year)-min(year)+1;

% Number of k values
KK = max(k)-min(k)+1;

% Temp
temp = [fid k year keep res];
temp = sortrows(temp,[3,2,1]);

% Convert to array indexed by fid,k,year
temp_a = reshape(temp,[NN/KK/TT,KK,TT,5]);

% Set missings to zero and keep track of number of non-missing
temp_a(isnan(temp_a)) = 0;
aa   = temp_a(:,:,:,4);
sres = temp_a(:,:,:,5);
sres(aa==0) = 0;
saa         = sum(aa,3);
saa(saa==0) = 1; % avoid divide by zeros

% Average
avres = sum(sres,3)./saa;