
set more off

local mainfolder = "/home/landvalues/"
local dqfolder = "/home/landvalues/dataquick/processed/"
local spatialfolder = "/home/landvalues/spatial_data/"
local mergedfolder = "/home/landvalues/merging/"

* local mainfolder = "C:/Users/ptscott/Desktop/"
* local mergedfolder = "C:/Users/ptscott/Desktop/"
* local dqfolder = "C:/Users/ptscott/Desktop/"

* --------------------------------------------------------------------------------
* combine spatial datasets
clear
gen dqid = .
save "`mergedfolder'spatial_vars.dta", replace

forvalues i = 1/7 {
	insheet using "`mergedfolder'output`i'.csv", clear
	tostring gaezshare_cultivated gaezshare_irrigated cdl* altitude srtmaltitude srtmcellnumber slope aspect, force replace
	drop srtmfilepath
	append using "`mergedfolder'spatial_vars.dta"
	save "`mergedfolder'spatial_vars.dta", replace

}

* --------------------------------------------------------------------------------
* merge spatial data with DataQuick data
use "`dqfolder'dq_cleaned.dta", clear
destring dqid, force replace
destring lat lon, replace
merge m:1 dqid using "`mergedfolder'spatial_vars.dta", update
drop if _merge==1
drop _merge

save "`mainfolder'merged_data.dta", replace

