function [theta_ccp theta_just] = recover_intercepts(theta1,yccp,yvc,yvnc,Rdif,psic,psinc,slope,fid,k,year,keep,Mccp,Mjustc)


N = size(yccp,1);

if length(theta1)==1
	sigma = (1/theta1)*ones(N,1);
else
	sigma = exp(theta1(1) + theta1(2)*slope);
end


% residuals by observation
resJccp	= sigma .* yccp - Rdif;
resJvc	= yvc  - psic  .* sigma;  
resJvnc	= yvnc - psinc .* sigma;

% average residuals by field
avres_ccp 		= getavres(resJccp,fid,k,year,keep);
avres_vc		= getavres(resJvc, fid,k,year,keep);
avres_vnc		= getavres(resJvnc,fid,k,year,keep);

theta_ccp 	  = (inv(Mccp)*avres_ccp')';
theta_just    = (inv(Mjustc)*[avres_vc,avres_ccp]')';
