function Vnew = solve_v(theta,lambda,beta,r,Fw,Fk,V0)
% solves the value function for a degenerate dynamic process with returns fixed at r
% lambda is a scalar
% V: ex ante value function
% V(1) corresponds to V(k=0), V(2) corresponds to V(k=1), etc

Vold = V0;
VERR = 10^6;


while (VERR > 10^-15)
	Vnew =  viter(theta,lambda,beta,r,Fw,Fk,Vold);
	VERR = max(abs(Vnew - Vold));
	Vold = Vnew;
end

