
set more off

local mainfolder = "/home/landvalues/"
local urbanpopfolder = "/home/landvalues/urban/"


* --------------------------------------------------------------------------------------
* Urban Areas

local cutvals = "5k 10k 25k 50k 100k 500k" 

insheet using "`urbanpopfolder'nearest_urban_1k.csv", clear
rename closest_pt closest_pt1
	forvalues i = 1/3 {
		rename closest_pt`i' closest_urban`i'_1k
		rename distance_km`i' dist_urban`i'_1k
		rename pop_pt`i' pop_`i'_1k
	}
save temp, replace

foreach x in `cutvals' {
	insheet using "`urbanpopfolder'nearest_urban_`x'.csv", clear
	rename closest_pt closest_pt1
	forvalues i = 1/3 {
		rename closest_pt`i' closest_urban`i'_`x'
		rename distance_km`i' dist_urban`i'_`x'
		rename pop_pt`i' pop_`i'_`x'
	}
	merge m:1 dqid using temp
	drop _merge
	save temp, replace
} 

use "`mainfolder'clean_data_commercial.dta", clear 
merge m:1 dqid using temp
keep if _merge==3
drop _merge

save "`mainfolder'clean_data_all.dta", replace

