function Vout = viter(theta,lambda,beta,r,Fw,Fk,Vin)
% Bellman function iteration
% lambda is a scalar
% V: ex ante value function
% V(1) corresponds to V(k=0), V(2) corresponds to V(k=1), etc

cv = vcond(theta,lambda,beta,r,Fw,Fk,Vin);
eulergamma = 0.5772156649015328606065120900824;

Vout = log(sum(exp(cv),3)) + eulergamma;
