
library(geosphere)  # For uniform random sampling on sphere
library(maptools)
library(raster)
library(rgdal)

# main.folder <- "F:/Dropbox/land_values/Data/"
# zip.shapefile <- "F:/Dropbox/Data/maps/zip_codes/cb_2013_us_zcta510_500k.shp"

main.folder <- "/home/landvalues/"
zip.shapefile <- "/home/landvalues/zips/cb_2013_us_zcta510_500k.shp"

library("rgdal")
shp <- readOGR(zip.shapefile, "cb_2013_us_zcta510_500k")

proj4string(shp)

ccp.file <- paste(main.folder, "ccp_points.csv", sep="")
ccppts <- read.csv(ccp.file, header=TRUE)
fid = ccppts$fid

coords <- c("lon", "lat")  # Column names
crs_string <- "+proj=longlat +datum=WGS84 +no_defs +ellps=WGS84 +towgs84=0,0,0"
pts <- SpatialPointsDataFrame(coords=ccppts[, coords],
							   data=as.data.frame(ccppts[, coords]),
							   proj4string=CRS(crs_string))
							   
							   
pts_proj <- spTransform(pts, CRS(proj4string(shp)))

zips <- over(pts_proj,shp)

pts <- spCbind(pts, zips)
pts$fid = fid

output.file <- paste(main.folder, "zips_ccp.csv", sep="")
write.csv(pts@data, file=output.file, row.names=FALSE)


