(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     84278,       2075]
NotebookOptionsPosition[     78668,       1985]
NotebookOutlinePosition[     79040,       2001]
CellTagsIndexPosition[     78997,       1998]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6451718124028435`*^9, 
  3.6451718132608447`*^9}},ExpressionUUID->"f35703b0-99b9-4a4b-9e06-\
b02ea72953c8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dbfolder", "=", "\"\<C:/Users/ptsco/Dropbox/\>\""}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.812659683296935*^9, 3.8126597201793556`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"cb32d2df-96f7-4564-9b62-d550b6e25595"],

Cell[CellGroupData[{

Cell["Table formatting functions", "Section",
 CellChangeTimes->{{3.645130030689745*^9, 
  3.645130031689432*^9}},ExpressionUUID->"85d9ae5b-25bd-4995-baf8-\
8ed1c43a2181"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NormalNumber", "[", "x_", "]"}], ":=", 
   RowBox[{"ToString", "[", 
    RowBox[{"x", ",", "InputForm"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"tableFormat", "[", 
     RowBox[{"x_", ",", "dig_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "str", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Switch", "[", 
       RowBox[{"x", ",", "\[IndentingNewLine]", 
        RowBox[{"_", "?", "NumberQ"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Round", "[", "x", "]"}], "\[Equal]", "x"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"NormalNumber", "[", 
           RowBox[{"Round", "@", "x"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"str", "=", 
            RowBox[{"ToString", "[", 
             RowBox[{"NumberForm", "[", 
              RowBox[{"x", ",", "dig"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Last", "[", 
               RowBox[{"Characters", "[", "str", "]"}], "]"}], "\[Equal]", 
              "\"\<.\>\""}], ",", "\[IndentingNewLine]", 
             RowBox[{"StringJoin", "@", 
              RowBox[{"Drop", "[", 
               RowBox[{
                RowBox[{"Characters", "[", "str", "]"}], ",", 
                RowBox[{"-", "1"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
             "str"}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]",
          "]"}], ",", "\[IndentingNewLine]", "_", ",", 
        RowBox[{"ToString", "[", "x", "]"}]}], "\[IndentingNewLine]", "]"}]}],
      "\[IndentingNewLine]", "]"}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SmallRow", "[", "row_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\"\<\\\\small{\>\"", "<>", "#", "<>", "\"\<}\>\""}], "&"}], 
     ",", "row"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ItalicRow", "[", "row_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"#", "!=", "\"\<\>\""}], ",", 
        RowBox[{"\"\<\\\\emph{\>\"", "<>", "#", "<>", "\"\<}\>\""}], ",", 
        "\"\<\>\""}], "]"}], "&"}], ",", "row"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"AddParens", "[", 
     RowBox[{"row_", "?", "VectorQ"}], "]"}], ":=", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", "!=", "\"\<\>\""}], ",", 
         RowBox[{"\"\<(\>\"", "<>", 
          RowBox[{"ToString", "[", "#", "]"}], "<>", "\"\<)\>\""}], ",", 
         "\"\<\>\""}], "]"}], "&"}], ",", "row"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AddParens", "[", 
    RowBox[{"num_", "?", "NumberQ"}], "]"}], ":=", 
   RowBox[{"\"\<(\>\"", "<>", 
    RowBox[{"ToString", "[", "num", "]"}], "<>", "\"\<)\>\""}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"AddParens", "[", 
     RowBox[{"num_", "?", "StringQ"}], "]"}], ":=", 
    RowBox[{"\"\<(\>\"", "<>", "num", "<>", "\"\<)\>\""}]}], ";"}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"AddParens", "[", 
     RowBox[{"inMat_", ",", "rows_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"i", ",", "row", ",", "outMat"}], "}"}], ",", "\n", 
      RowBox[{
       RowBox[{"outMat", "=", "inMat"}], ";", "\n", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "<=", 
          RowBox[{"Length", "[", "rows", "]"}]}], ",", 
         RowBox[{"i", "++"}], ",", "\n", 
         RowBox[{
          RowBox[{"row", "=", 
           RowBox[{"rows", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], ";", "\n", 
          RowBox[{"outMat", "=", 
           RowBox[{"ReplacePart", "[", 
            RowBox[{"outMat", ",", 
             RowBox[{"row", "->", "\n", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"#", "!=", "\"\<\>\""}], ",", 
                   RowBox[{"\"\<(\>\"", "<>", 
                    RowBox[{"ToString", "[", "#", "]"}], "<>", "\"\<)\>\""}], 
                   ",", "\"\<\>\""}], "]"}], "&"}], ",", 
                RowBox[{"outMat", "[", 
                 RowBox[{"[", "row", "]"}], "]"}]}], "]"}]}]}], "\n", "]"}]}],
           ";"}]}], "\n", "]"}], ";", "\n", "outMat"}]}], "\n", "]"}]}], 
   ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AddCol", "[", 
    RowBox[{"inMat_", ",", 
     RowBox[{"posList_", "?", "ArrayQ"}]}], "]"}], ":=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Insert", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", "inMat", "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\< \>\"", ",", 
        RowBox[{"{", 
         RowBox[{"Length", "[", "inMat", "]"}], "}"}]}], "]"}], ",", 
      "posList"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AddCol", "[", 
    RowBox[{"inMat_", ",", "col_", ",", 
     RowBox[{"posList_", "?", "ArrayQ"}]}], "]"}], ":=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Insert", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", "inMat", "]"}], ",", "col", ",", "posList"}], 
     "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AddCol", "[", 
    RowBox[{"inMat_", ",", "pos_"}], "]"}], ":=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Insert", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", "inMat", "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\< \>\"", ",", 
        RowBox[{"{", 
         RowBox[{"Length", "[", "inMat", "]"}], "}"}]}], "]"}], ",", "pos"}], 
     "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"AddCol", "[", 
     RowBox[{"inMat_", ",", "col_", ",", "pos_"}], "]"}], ":=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Insert", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", "inMat", "]"}], ",", "col", ",", "pos"}], 
      "]"}], "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AddRow", "[", 
    RowBox[{"inMat_", ",", 
     RowBox[{"posList_", "?", "ArrayQ"}]}], "]"}], ":=", 
   RowBox[{"Insert", "[", 
    RowBox[{"inMat", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"\"\< \>\"", ",", 
       RowBox[{"{", 
        RowBox[{"Length", "[", 
         RowBox[{"inMat", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}], ",", 
     "posList"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AddRow", "[", 
    RowBox[{"inMat_", ",", "row_", ",", 
     RowBox[{"posList_", "?", "ArrayQ"}]}], "]"}], ":=", 
   RowBox[{"Insert", "[", 
    RowBox[{"inMat", ",", "row", ",", "posList"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AddRow", "[", 
    RowBox[{"inMat_", ",", "pos_"}], "]"}], ":=", 
   RowBox[{"Insert", "[", 
    RowBox[{"inMat", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"\"\< \>\"", ",", 
       RowBox[{"{", 
        RowBox[{"Length", "[", 
         RowBox[{"inMat", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}]}], "]"}], ",", "pos"}],
     "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"AddRow", "[", 
     RowBox[{"inMat_", ",", "row_", ",", "pos_"}], "]"}], ":=", 
    RowBox[{"Insert", "[", 
     RowBox[{"inMat", ",", "row", ",", "pos"}], "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", " ", "^", "yy_"}], "]"}], ":=", 
   RowBox[{"\"\<$\>\"", "<>", 
    RowBox[{"ToTex", "[", "xx", "]"}], "<>", "\"\<^{\>\"", "<>", 
    RowBox[{"ToTex", "[", "yy", "]"}], "<>", "\"\<}$\>\""}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"Subscript", "[", 
     RowBox[{"xx_", ",", " ", "yy_"}], "]"}], " ", "]"}], ":=", 
   RowBox[{"\"\<$\>\"", "<>", 
    RowBox[{"ToTex", "[", "xx", "]"}], "<>", "\"\<_{\>\"", "<>", 
    RowBox[{"ToTex", "[", "yy", "]"}], "<>", "\"\<}$\>\""}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Alpha]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Alpha]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\alpha$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Beta]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Beta]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\beta$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Gamma]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Gamma]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\gamma$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Delta]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Delta]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\delta$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Epsilon]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Epsilon]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\varepsilon$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Zeta]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Zeta]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\zeta$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Eta]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Eta]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\eta$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Theta]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Theta]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\theta$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Kappa]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Kappa]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\kappa$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Lambda]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Lambda]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\lambda$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Mu]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Mu]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\mu$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Nu]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Nu]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\nu$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Xi]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Xi]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\xi$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Pi]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Pi]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\pi$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Rho]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Rho]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\rho$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Sigma]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Sigma]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\sigma$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Tau]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Tau]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\tau$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Phi]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Phi]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\phi$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[CurlyPhi]"}], "||", 
        RowBox[{"#", "==", "\"\<\[CurlyPhi]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\varphi$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Chi]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Chi]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\xi$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Psi]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Psi]\>\""}]}], "&"}], ")"}]}], "]"}], ":=", 
   "\"\<$\\\\psi$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "==", "\[Omega]"}], "||", 
        RowBox[{"#", "==", "\"\<\[Omega]\>\""}]}], "&"}], ")"}]}], "]"}], 
   ":=", "\"\<$\\\\omega$\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", "Null", "]"}], ":=", "\"\<\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", "NumberQ"}], "]"}], ":=", 
   RowBox[{"ToString", "[", "xx", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ToTex", "[", 
    RowBox[{"xx_", "?", "AtomQ"}], "]"}], ":=", 
   RowBox[{"ToString", "[", "xx", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ToTex", "[", "xx_", "]"}], ":=", 
    RowBox[{"ToString", "[", "xx", "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"TexRow", "[", "list_", "]"}], ":=", 
    RowBox[{"StringJoin", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToTex", "[", 
          RowBox[{"list", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "<>", "\"\< & \>\""}], ",", 
        "\n", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "list", "]"}], "-", "1"}]}], "}"}]}], "]"}],
       "<>", 
      RowBox[{"ToTex", "[", 
       RowBox[{"list", "[", 
        RowBox[{"[", 
         RowBox[{"Length", "[", "list", "]"}], "]"}], "]"}], "]"}], "<>", 
      "\"\< \\\\\\\\ \\n\>\""}], "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Table2Tex", "[", "mat_", "]"}], ":=", 
  RowBox[{"StringJoin", "[", 
   RowBox[{"TexRow", "/@", "mat"}], "]"}]}], "\n"}], "Input",
 CellChangeTimes->{{3.6478414878408346`*^9, 3.6478414899033613`*^9}, {
   3.6478416558295474`*^9, 3.6478416566108093`*^9}, {3.64784182420004*^9, 
   3.6478418248250475`*^9}, {3.64784191731133*^9, 3.6478419801788197`*^9}, 
   3.647842061647271*^9, {3.6478423990211287`*^9, 3.647842503246194*^9}, {
   3.647842547584738*^9, 3.6478425513019223`*^9}, {3.6478425835620975`*^9, 
   3.647842608638517*^9}, {3.6478426826290665`*^9, 3.6478427233275948`*^9}, {
   3.647842774343278*^9, 3.6478427748120055`*^9}, {3.6478428083754854`*^9, 
   3.6478428134390893`*^9}, {3.6478433329135323`*^9, 3.647843394868618*^9}, {
   3.812659920858782*^9, 
   3.812659921238798*^9}},ExpressionUUID->"09de5723-ef51-4a6a-b262-\
abbf6e636886"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.645171058723894*^9, 3.6451710597554965`*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"f3d36114-c3ac-4b16-a2cd-8e1b3b62ab1f"]
}, Closed]],

Cell[CellGroupData[{

Cell[" v data summary", "Section",
 CellChangeTimes->{{3.645130030689745*^9, 3.6451300364207735`*^9}, {
  3.645173911163419*^9, 
  3.6451739165812535`*^9}},ExpressionUUID->"2bc86e8b-82bf-414b-af39-\
8dcd3467e182"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vSum", "=", 
    RowBox[{"Import", "[", 
     RowBox[{"dbfolder", "<>", "\"\<land_values/Output/v_sum.csv\>\""}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"drop", " ", "non"}], "-", 
    RowBox[{"crop", " ", "returns"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vSum", " ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", "6", "}"}]}], "]"}], "&"}], ",", "vSum"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "vSum"}], "Input",
 CellChangeTimes->{{3.6487974609241495`*^9, 3.6487975205522156`*^9}, {
  3.752180216632386*^9, 3.7521802179848623`*^9}, {3.8126596734696193`*^9, 
  3.8126596784495993`*^9}, {3.8126597261597986`*^9, 3.8126597359896355`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"13db9a59-6ee2-448e-afb5-360fa424c3d9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"stat\"\>", ",", "\<\"j\"\>", ",", "\<\"jswitch\"\>", 
     ",", "\<\"jstay\"\>", ",", "\<\"rcrop\"\>", ",", "\<\"slope\"\>", 
     ",", "\<\"alt\"\>", ",", "\<\"ldist_100k\"\>", ",", "\<\"mval_eat\"\>", 
     ",", "\<\"v\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"mean\"\>", ",", "0.1473368`", ",", "0.0162008`", ",", 
     "0.8494926`", ",", "228.288`", ",", "0.049`", ",", "371.023`", ",", 
     "79.824`", ",", "158638.547`", ",", "7938.07`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"sd\"\>", ",", "0.354443`", ",", "0.1262479`", ",", 
     "0.357579`", ",", "111.504`", ",", "0.063`", ",", "497.345`", ",", 
     "63.716`", ",", "791515.375`", ",", "9720.453`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"min\"\>", ",", "0", ",", "0", ",", "0", ",", "43.031`", ",", 
     "0.`", ",", 
     RowBox[{"-", "6.`"}], ",", "1.215`", ",", "737.913`", ",", "5.227`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"max\"\>", ",", "1", ",", "1", ",", "1", ",", "701.003`", ",",
      "0.702`", ",", "3514.`", ",", "362.376`", ",", "7.3369656`*^7", ",", 
     "50000.`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.648797523912303*^9, 3.8126599377786617`*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"ce7a62ad-4dc1-4532-90e8-297888fe9372"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"table", "=", 
     RowBox[{"Transpose", "[", "vSum", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"format", " ", "numbers"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"col", "=", "2"}], ",", 
     RowBox[{"col", "\[LessEqual]", "5"}], ",", 
     RowBox[{"col", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"table", "=", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"ReplacePart", "[", 
           RowBox[{"#", ",", 
            RowBox[{"col", "\[Rule]", 
             RowBox[{"\"\<$\>\"", "<>", 
              RowBox[{"tableFormat", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "col", "]"}], "]"}], ",", "3"}], "]"}], "<>", 
              "\"\<$\>\""}]}]}], "]"}], "&"}], ",", "table"}], "]"}]}], 
      ";"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"colLabels", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Statistics\>\"", ",", "\"\<Mean\>\"", ",", "\"\<Std Dev\>\"", ",", 
       "\"\<Min\>\"", ",", "\"\<Max\>\""}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rowLabels", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<In Cropland\>\"", ",", "\"\<Switch to Crops\>\"", ",", 
       "\"\<Keep Crops\>\"", ",", "\"\<Crop Returns (\\\\$)\>\"", ",", 
       "\[IndentingNewLine]", "\"\<Slope (grade)\>\"", ",", 
       "\"\<Altitude (m)\>\"", ",", "\"\<Distance to Urban Center (km)\>\"", 
       ",", "\"\<Nearest commercial land value (\\\\$/acre)\>\"", ",", 
       "\"\<Land value (\\\\$/acre)\>\""}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"table", " ", "=", " ", 
     RowBox[{"Prepend", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"Prepend", "[", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"Drop", "[", 
              RowBox[{"table", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], 
          ",", "rowLabels"}], "]"}], "]"}], ",", "colLabels"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"table", "//", "MatrixForm"}]}]}]], "Input",
 CellChangeTimes->{{3.645130142455955*^9, 3.645130146304655*^9}, {
   3.645130214294911*^9, 3.645130297571004*^9}, {3.645130405608867*^9, 
   3.645130426769885*^9}, {3.6451304797565145`*^9, 3.6451305045016365`*^9}, {
   3.6451310243523607`*^9, 3.645131132987308*^9}, {3.645131316727959*^9, 
   3.645131463602781*^9}, {3.6451321972297196`*^9, 3.6451322331883554`*^9}, {
   3.6451322833962245`*^9, 3.645132333998706*^9}, {3.645132697418287*^9, 
   3.645132700154565*^9}, {3.645132740594747*^9, 3.645132745316847*^9}, {
   3.6451329128240194`*^9, 3.645132913089698*^9}, {3.645169069977025*^9, 
   3.645169107921668*^9}, {3.6451691609868426`*^9, 3.6451692580455017`*^9}, {
   3.645171322229475*^9, 3.645171325959882*^9}, {3.645172127051861*^9, 
   3.6451721451140933`*^9}, {3.645172275147669*^9, 3.645172280375678*^9}, {
   3.6451741695187187`*^9, 3.6451741718509293`*^9}, {3.64517476211456*^9, 
   3.6451747677341957`*^9}, {3.6451748024452777`*^9, 3.64517480296188*^9}, {
   3.6452171700963917`*^9, 3.64521717240287*^9}, {3.6452173108292027`*^9, 
   3.6452173120345025`*^9}, {3.6478421101859655`*^9, 
   3.6478421364787564`*^9}, {3.647842166557257*^9, 3.6478421727561407`*^9}, {
   3.6478432293073196`*^9, 3.647843262524589*^9}, 3.6487971449071045`*^9, {
   3.6487971771582103`*^9, 3.648797211129615*^9}, {3.6487974560142217`*^9, 
   3.648797456519835*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"019b91a4-d5a1-42ee-9b46-328fbaebb8d4"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,54,1,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.647843272664242*^9, {3.647843386290372*^9, 3.6478433994987917`*^9}, 
   3.6478715995727468`*^9, 3.647884960665663*^9, 3.648216838403344*^9, 
   3.648797217089066*^9, 3.6487975290155177`*^9, 3.812660105478462*^9},
 CellLabel->
  "During evaluation of \
In[53]:=",ExpressionUUID->"dbaff67f-0797-4293-8278-dee92b4f16a7"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,54,2,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.647843272664242*^9, {3.647843386290372*^9, 3.6478433994987917`*^9}, 
   3.6478715995727468`*^9, 3.647884960665663*^9, 3.648216838403344*^9, 
   3.648797217089066*^9, 3.6487975290155177`*^9, 3.812660105488659*^9},
 CellLabel->
  "During evaluation of \
In[53]:=",ExpressionUUID->"d95ca66f-219e-4e86-9898-e39244d879c7"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,54,3,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.647843272664242*^9, {3.647843386290372*^9, 3.6478433994987917`*^9}, 
   3.6478715995727468`*^9, 3.647884960665663*^9, 3.648216838403344*^9, 
   3.648797217089066*^9, 3.6487975290155177`*^9, 3.8126601054984765`*^9},
 CellLabel->
  "During evaluation of \
In[53]:=",ExpressionUUID->"896cf132-fc16-4bea-8334-7bc8bf02dace"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"NumberForm\\\", \
\\\"::\\\", \\\"reqsigz\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,54,4,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.647843272664242*^9, {3.647843386290372*^9, 3.6478433994987917`*^9}, 
   3.6478715995727468`*^9, 3.647884960665663*^9, 3.648216838403344*^9, 
   3.648797217089066*^9, 3.6487975290155177`*^9, 3.8126601054984765`*^9},
 CellLabel->
  "During evaluation of \
In[53]:=",ExpressionUUID->"99fc05ca-4eda-480a-b908-4c3fe6ab26b6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"Statistics\"\>", "\<\"Mean\"\>", "\<\"Std Dev\"\>", "\<\"Min\"\>", \
"\<\"Max\"\>"},
     {"\<\"In Cropland\"\>", "\<\"$0.147$\"\>", "\<\"$0.354$\"\>", "\<\"$0$\"\
\>", "\<\"$1$\"\>"},
     {"\<\"Switch to Crops\"\>", "\<\"$0.0162$\"\>", "\<\"$0.126$\"\>", \
"\<\"$0$\"\>", "\<\"$1$\"\>"},
     {"\<\"Keep Crops\"\>", "\<\"$0.849$\"\>", "\<\"$0.358$\"\>", \
"\<\"$0$\"\>", "\<\"$1$\"\>"},
     {"\<\"Crop Returns (\\\\$)\"\>", "\<\"$228$\"\>", "\<\"$112$\"\>", \
"\<\"$43$\"\>", "\<\"$701$\"\>"},
     {"\<\"Slope (grade)\"\>", "\<\"$0.049$\"\>", "\<\"$0.063$\"\>", "\<\"$0$\
\"\>", "\<\"$0.702$\"\>"},
     {"\<\"Altitude (m)\"\>", "\<\"$371$\"\>", "\<\"$497$\"\>", \
"\<\"$-6$\"\>", "\<\"$3514$\"\>"},
     {"\<\"Distance to Urban Center (km)\"\>", "\<\"$79.8$\"\>", \
"\<\"$63.7$\"\>", "\<\"$1.22$\"\>", "\<\"$362$\"\>"},
     {"\<\"Nearest commercial land value (\\\\$/acre)\"\>", \
"\<\"$159000$\"\>", "\<\"$792000$\"\>", "\<\"$738$\"\>", "\<\"$73369656$\"\>"},
     {"\<\"Land value (\\\\$/acre)\"\>", "\<\"$7940$\"\>", "\<\"$9720$\"\>", \
"\<\"$5.23$\"\>", "\<\"$50000$\"\>"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.6478432728829565`*^9, {3.647843386680998*^9, 3.64784339956129*^9}, 
   3.6478715996665*^9, 3.6478849607582397`*^9, 3.6482168385283995`*^9, 
   3.6487972171821923`*^9, 3.648797529087313*^9, 3.812660105508581*^9},
 CellLabel->
  "Out[58]//MatrixForm=",ExpressionUUID->"59648ec9-8c57-4607-8d1c-\
7ef4968f53fc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"outTable", "=", "\[IndentingNewLine]", 
   RowBox[{
   "\"\<\\\\begin{tabular}{lrrrr}\\n\>\"", "<>", "\n", 
    "\"\<\\\\hline \\\\hline \\n\>\"", "<>", "\[IndentingNewLine]", 
    RowBox[{"TexRow", "[", 
     RowBox[{"table", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "<>", "\[IndentingNewLine]", 
    "\"\<\\\\hline \>\"", "<>", "\[IndentingNewLine]", 
    RowBox[{"Table2Tex", "[", 
     RowBox[{"Drop", "[", 
      RowBox[{"table", ",", "1"}], "]"}], "]"}], "<>", "\"\< \\\\hline \>\"", 
    "<>", "\[IndentingNewLine]", 
    "\"\<\\\\multicolumn{5}{l}{\\\\tiny A slope of 1 refers to a perfect \
incline and a slope of 0 refers to perfectly horizontal land.} \\\\\\\\ \\n\>\
\"", "<>", "\[IndentingNewLine]", "\"\< \\\\end{tabular} \>\""}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"outTable", "=", 
   RowBox[{"StringReplace", "[", 
    RowBox[{"outTable", ",", 
     RowBox[{
     "\"\<\[Times]\!\(\*SuperscriptBox[\(10\), \(7\)]\)\>\"", "\[Rule]", 
      "\"\<e7\>\""}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{"dbfolder", "<>", "\"\<land_values/Output/vsum.tex\>\""}], ",", 
   "outTable", ",", "\"\<Text\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.6451307199225903`*^9, 3.6451307217859287`*^9}, {
   3.6451308215407057`*^9, 3.645130829604434*^9}, {3.645130863648314*^9, 
   3.645130908954466*^9}, {3.6451309415876245`*^9, 3.645130991158804*^9}, 
   3.6451326755825076`*^9, {3.6451328476173687`*^9, 3.6451328916161995`*^9}, {
   3.645133327113429*^9, 3.64513335600223*^9}, {3.645168684122368*^9, 
   3.645168715127292*^9}, {3.645169264717458*^9, 3.645169270201849*^9}, {
   3.6451716454256887`*^9, 3.645171668733531*^9}, {3.645171758879533*^9, 
   3.6451717614379373`*^9}, 3.645172328387764*^9, {3.6451724940542097`*^9, 
   3.6451725138304453`*^9}, {3.64517255001031*^9, 3.645172630894258*^9}, {
   3.645172676722556*^9, 3.6451726768005567`*^9}, {3.645172908860801*^9, 
   3.645172918681219*^9}, {3.6451730240470285`*^9, 3.6451730795865483`*^9}, {
   3.6451731280972366`*^9, 3.645173133064046*^9}, {3.645175062418023*^9, 
   3.6451750842173223`*^9}, {3.645175721788639*^9, 3.6451757415215406`*^9}, {
   3.6481826022229986`*^9, 3.6481826035276384`*^9}, {3.6487972391724043`*^9, 
   3.648797239609911*^9}, {3.81266072630724*^9, 
   3.812660728457526*^9}},ExpressionUUID->"547f9c45-1134-481c-8bca-\
d3756b83b71f"],

Cell[BoxData["\<\"F:/Dropbox/land_values/Output/vsum.tex\"\>"], "Output",
 CellChangeTimes->{{3.6451757280526686`*^9, 3.6451757476461697`*^9}, 
   3.645179343110778*^9, 3.645217319763567*^9, 3.6478849710588703`*^9, 
   3.648216840421112*^9, 3.6487972405786743`*^9, 
   3.648797533563327*^9},ExpressionUUID->"5e8dadea-de55-40a9-ad18-\
ec3522b1c613"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["fixed comparison", "Section",
 CellChangeTimes->{{3.645130030689745*^9, 3.6451300364207735`*^9}, {
  3.645173911163419*^9, 3.6451739165812535`*^9}, {3.645173951226044*^9, 
  3.6451739519464474`*^9}, {3.645176269410015*^9, 
  3.645176271554426*^9}},ExpressionUUID->"208c5bd1-1d2b-445e-895b-\
6a4da56ef4be"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vSum", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"dbfolder", "<>", "\"\<land_values/Output/v_sum.csv\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ccpSum", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"dbfolder", "<>", "\"\<land_values/Output/ccp_sum.csv\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cTab", "=", 
   RowBox[{"Transpose", "[", "ccpSum", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vTab", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{"#", ",", 
         RowBox[{"-", "1"}]}], "]"}], "&"}], ",", "vSum"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cTab", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{"cTab", ",", 
     RowBox[{"{", "6", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vTab", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{"vTab", ",", 
     RowBox[{"{", "6", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6487977090224457`*^9, 3.6487977271498423`*^9}, {
  3.812660505647977*^9, 3.812660517187497*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"99071069-401a-4d70-8621-ad35f47444b5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"colLabels", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Mean by dataset\>\"", ",", "\"\<DataQuick\>\"", ",", "\"\<CDL\>\""}],
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rowLabels", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<In Cropland\>\"", ",", "\"\<Switch to Crops\>\"", ",", 
     "\"\<Keep Crops\>\"", ",", "\"\<Crop Returns (\\\\$)\>\"", ",", 
     "\[IndentingNewLine]", "\"\<Slope (grade)\>\"", ",", 
     "\"\<Altitude (m)\>\"", ",", "\"\<Distance to Urban Center (km)\>\"", 
     ",", "\"\<Nearest commercial land value (\\\\$/acre)\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cTab", " ", "=", " ", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Drop", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"Drop", "[", 
        RowBox[{"cTab", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vTab", " ", "=", " ", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Drop", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"Drop", "[", 
        RowBox[{"vTab", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"col", "=", "1"}], ",", 
    RowBox[{"col", "\[LessEqual]", "4"}], ",", 
    RowBox[{"col", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cTab", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ReplacePart", "[", 
          RowBox[{"#", ",", 
           RowBox[{"col", "\[Rule]", 
            RowBox[{"\"\<$\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"tableFormat", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "col", "]"}], "]"}], ",", "3"}], "]"}], "]"}], 
             "<>", "\"\<$\>\""}]}]}], "]"}], "&"}], ",", "cTab"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"vTab", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ReplacePart", "[", 
          RowBox[{"#", ",", 
           RowBox[{"col", "\[Rule]", 
            RowBox[{"\"\<$\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"tableFormat", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "col", "]"}], "]"}], ",", "3"}], "]"}], "]"}], 
             "<>", "\"\<$\>\""}]}]}], "]"}], "&"}], ",", "vTab"}], "]"}]}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"table", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"rowLabels", ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "vTab", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", "cTab", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", "colLabels"}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.645178464062433*^9, 3.64517848310795*^9}, {
  3.6451785196602154`*^9, 3.6451785198162155`*^9}, {3.6451787361876574`*^9, 
  3.6451787368116584`*^9}, {3.6451788670243015`*^9, 3.645178980576124*^9}, {
  3.645179014895585*^9, 3.645179074433092*^9}, {3.6451791080047517`*^9, 
  3.645179133149397*^9}, {3.645179197507316*^9, 3.645179206873333*^9}, {
  3.6451792553248196`*^9, 3.6451792689148445`*^9}, {3.6452172029109497`*^9, 
  3.645217225832013*^9}, {3.645217330337323*^9, 3.6452173325592766`*^9}, {
  3.647871664371646*^9, 3.6478716759358435`*^9}, {3.6487976496951475`*^9, 
  3.648797670364575*^9}, {3.648797730312955*^9, 3.648797759878888*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"b9584452-3cbf-4142-8c70-ef86d4901c51"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,69,5,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.645179133664198*^9, 3.6451792074213343`*^9, 3.645179269523246*^9, 
   3.6451794726522155`*^9, 3.6451831906508565`*^9, {3.64521720632777*^9, 
   3.6452172289057245`*^9}, 3.645217334577146*^9, 3.6478716811272583`*^9, 
   3.647885776595827*^9, {3.6482168448904457`*^9, 3.648216848536807*^9}, 
   3.648797762571855*^9, 3.812660548897503*^9},
 CellLabel->
  "During evaluation of \
In[65]:=",ExpressionUUID->"e2823b93-bc23-4cb6-809d-98ebe4aa7796"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,69,6,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.645179133664198*^9, 3.6451792074213343`*^9, 3.645179269523246*^9, 
   3.6451794726522155`*^9, 3.6451831906508565`*^9, {3.64521720632777*^9, 
   3.6452172289057245`*^9}, 3.645217334577146*^9, 3.6478716811272583`*^9, 
   3.647885776595827*^9, {3.6482168448904457`*^9, 3.648216848536807*^9}, 
   3.648797762571855*^9, 3.812660548907627*^9},
 CellLabel->
  "During evaluation of \
In[65]:=",ExpressionUUID->"fa8116ce-03f5-4868-8010-3a7413837d0d"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,69,7,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.645179133664198*^9, 3.6451792074213343`*^9, 3.645179269523246*^9, 
   3.6451794726522155`*^9, 3.6451831906508565`*^9, {3.64521720632777*^9, 
   3.6452172289057245`*^9}, 3.645217334577146*^9, 3.6478716811272583`*^9, 
   3.647885776595827*^9, {3.6482168448904457`*^9, 3.648216848536807*^9}, 
   3.648797762571855*^9, 3.812660548907627*^9},
 CellLabel->
  "During evaluation of \
In[65]:=",ExpressionUUID->"0c1582f0-895a-40f0-8861-4aca507059ed"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"NumberForm\\\", \
\\\"::\\\", \\\"reqsigz\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,69,8,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.645179133664198*^9, 3.6451792074213343`*^9, 3.645179269523246*^9, 
   3.6451794726522155`*^9, 3.6451831906508565`*^9, {3.64521720632777*^9, 
   3.6452172289057245`*^9}, 3.645217334577146*^9, 3.6478716811272583`*^9, 
   3.647885776595827*^9, {3.6482168448904457`*^9, 3.648216848536807*^9}, 
   3.648797762571855*^9, 3.8126605489173603`*^9},
 CellLabel->
  "During evaluation of \
In[65]:=",ExpressionUUID->"cbc717c1-a84e-47b0-abfe-ee97439b5c14"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"outTable", "=", "\[IndentingNewLine]", 
  RowBox[{
  "\"\<\\\\begin{tabular}{lrr}\\n\>\"", "<>", "\n", 
   "\"\<\\\\hline \\\\hline \\n\>\"", "<>", "\[IndentingNewLine]", 
   RowBox[{"TexRow", "[", 
    RowBox[{"table", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}], "<>", "\[IndentingNewLine]", 
   "\"\<\\\\hline \>\"", "<>", "\[IndentingNewLine]", 
   RowBox[{"Table2Tex", "[", 
    RowBox[{"Drop", "[", 
     RowBox[{"table", ",", "1"}], "]"}], "]"}], "<>", "\"\< \\\\hline \>\"", "<>",
    "\[IndentingNewLine]", 
   "\"\< \\\\end{tabular} \>\""}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{"dbfolder", "<>", "\"\<land_values/Output/static_comp.tex\>\""}], 
   ",", "outTable", ",", "\"\<Text\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.6451792939014893`*^9, 3.645179336166765*^9}, {
  3.6487977677086954`*^9, 3.64879777836401*^9}, {3.8126607192572427`*^9, 
  3.8126607236072907`*^9}},ExpressionUUID->"c197e005-94d3-44bf-8041-\
1e01ac616b50"],

Cell[BoxData["\<\"\\\\begin{tabular}{lrr}\\n\\\\hline \\\\hline \\nMean by \
dataset & DataQuick & CDL \\\\\\\\ \\n\\\\hline In Cropland & $0.147$ & \
$0.136$ \\\\\\\\ \\nSwitch to Crops & $0.0162$ & $0.0123$ \\\\\\\\ \\nKeep \
Crops & $0.849$ & $0.824$ \\\\\\\\ \\nCrop Returns (\\\\$) & $228$ & $241$ \\\
\\\\\\ \\nSlope (grade) & $0.049$ & $0.078$ \\\\\\\\ \\nAltitude (m) & $371$ \
& $688$ \\\\\\\\ \\nDistance to Urban Center (km) & $79.8$ & $103$ \\\\\\\\ \
\\nNearest commercial land value (\\\\$/acre) & $159000$ & $168000$ \\\\\\\\ \
\\n \\\\hline  \\\\end{tabular} \"\>"], "Output",
 CellChangeTimes->{{3.645179330830556*^9, 3.645179338134369*^9}, 
   3.6451794737442174`*^9, 3.6451831919456587`*^9, 3.645217232734364*^9, 
   3.6452173361205225`*^9, 3.6478857799469037`*^9, 3.6482168516841993`*^9, {
   3.648797768169076*^9, 
   3.648797779162924*^9}},ExpressionUUID->"be500a65-d0f3-4bd0-a942-\
7f8e5bb29ddd"],

Cell[BoxData["\<\"F:/Dropbox/land_values/Output/static_comp.tex\"\>"], \
"Output",
 CellChangeTimes->{{3.645179330830556*^9, 3.645179338134369*^9}, 
   3.6451794737442174`*^9, 3.6451831919456587`*^9, 3.645217232734364*^9, 
   3.6452173361205225`*^9, 3.6478857799469037`*^9, 3.6482168516841993`*^9, {
   3.648797768169076*^9, 
   3.6487977791785097`*^9}},ExpressionUUID->"f6716651-83c4-48e1-9fec-\
d000bdca6e62"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["parameter estimates", "Section",
 CellChangeTimes->{{3.645130030689745*^9, 3.6451300364207735`*^9}, {
  3.645173911163419*^9, 3.6451739165812535`*^9}, {3.645173951226044*^9, 
  3.6451739519464474`*^9}, {3.645176269410015*^9, 3.645176271554426*^9}, {
  3.6452106515171976`*^9, 3.6452106522462177`*^9}, {3.64521069490095*^9, 
  3.6452107179956026`*^9}, {3.659989236943923*^9, 
  3.6599892398118305`*^9}},ExpressionUUID->"bb630f90-1e00-4bab-986d-\
40c3d55cc262"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cfs", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
     "dbfolder", "<>", 
      "\"\<land_values/Output/cf.grid2.ccp2.soil1.vdep1.acres1.hdum1.hz1.py1.\
iv0.con0.ser1.csv\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sigmas", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
    "dbfolder", "<>", 
     "\"\<land_values/Output/sigma.grid2.ccp2.soil1.vdep1.acres1.hdum1.hz1.\
py1.iv0.con0.ser1.csv\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theta0ccp", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
    "dbfolder", "<>", 
     "\"\<land_values/Output/theta0_ccp.grid2.ccp2.soil1.vdep1.acres1.hdum1.\
hz1.py1.iv0.con0.ser1.csv\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"theta0hybrid", "=", 
    RowBox[{"Import", "[", 
     RowBox[{
     "dbfolder", "<>", 
      "\"\<land_values/Output/theta0_hybrid.grid2.ccp2.soil1.vdep1.acres1.\
hdum1.hz1.py1.iv0.con0.ser1.csv\>\""}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaCCP", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", "theta0ccp", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaHybrid", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", "theta0hybrid", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaCCPse", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tableFormat", "[", 
      RowBox[{"#", ",", "3"}], "]"}], "&"}], "/@", 
    RowBox[{
     RowBox[{"Transpose", "[", "theta0ccp", "]"}], "[", 
     RowBox[{"[", "4", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaHybridse", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tableFormat", "[", 
      RowBox[{"#", ",", "3"}], "]"}], "&"}], "/@", 
    RowBox[{
     RowBox[{"Transpose", "[", "theta0hybrid", "]"}], "[", 
     RowBox[{"[", "4", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sigmaCCP", "=", 
   RowBox[{
    RowBox[{"sigmas", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sigmaHybrid", "=", 
   RowBox[{
    RowBox[{"sigmas", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sigmaCCPse", "=", 
   RowBox[{"tableFormat", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"sigmas", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "4", "]"}], "]"}], ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sigmaHybridse", "=", 
   RowBox[{"tableFormat", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"sigmas", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "4", "]"}], "]"}], ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"etCCP", "=", 
   RowBox[{"cfs", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"etHybrid", "=", 
   RowBox[{"cfs", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lreCCP", "=", 
   RowBox[{
    RowBox[{"cfs", "[", 
     RowBox[{"[", "4", "]"}], "]"}], "*", "10"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lreHybrid", "=", 
   RowBox[{
    RowBox[{"cfs", "[", 
     RowBox[{"[", "5", "]"}], "]"}], "*", "10"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rowLabels", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
    "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(crop,0\\\\right)$\>\"", ",", 
     "\"\< \>\"", ",", "\[IndentingNewLine]", 
     "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(crop,1\\\\right)$\>\"", ",", 
     "\"\< \>\"", ",", "\[IndentingNewLine]", 
     "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(crop,2\\\\right)$\>\"", ",", 
     "\"\< \>\"", ",", "\[IndentingNewLine]", 
     "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(nocrop,0\\\\right)$\>\"", ",", 
     "\"\< \>\"", ",", "\[IndentingNewLine]", 
     "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(nocrop,1\\\\right)$\>\"", ",", 
     "\"\< \>\"", ",", "\[IndentingNewLine]", 
     "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(nocrop,2\\\\right)$\>\"", ",", 
     "\"\< \>\"", ",", "\[IndentingNewLine]", "\"\<$\\\\sigma$\>\"", ",", 
     "\"\< \>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaTable", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"rowLabels", ",", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Riffle", "[", 
         RowBox[{"thetaCCP", ",", "thetaCCPse"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"sigmaCCP", ",", "sigmaCCPse"}], "}"}]}], "]"}], ",", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Riffle", "[", 
         RowBox[{"thetaHybrid", ",", "thetaHybridse"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"sigmaCCP", ",", "sigmaCCPse"}], "}"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaTable", "=", 
   RowBox[{"AddParens", "[", 
    RowBox[{"thetaTable", ",", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "4", ",", "6", ",", "8", ",", "10", ",", "12", ",", "14"}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaTable", "=", 
   RowBox[{"AddRow", "[", 
    RowBox[{"thetaTable", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "3", "}"}], ",", 
       RowBox[{"{", "5", "}"}], ",", 
       RowBox[{"{", "7", "}"}], ",", 
       RowBox[{"{", "9", "}"}], ",", 
       RowBox[{"{", "11", "}"}], ",", 
       RowBox[{"{", "13", "}"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaTable", "=", 
   RowBox[{"StringReplace", "[", 
    RowBox[{
     RowBox[{"Table2Tex", "[", "thetaTable", "]"}], ",", 
     RowBox[{"\"\<( )\>\"", "\[Rule]", "\"\< \>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"thetaTable", "=", 
   RowBox[{"StringReplace", "[", 
    RowBox[{
     RowBox[{"Table2Tex", "[", "thetaTable", "]"}], ",", 
     RowBox[{"\"\<(0)\>\"", "\[Rule]", "\"\< \>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"colLabels", "=", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Estimator:\>\"", ",", "\"\<CCP\>\"", ",", "\"\<Hybrid\>\""}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"outTable", "=", "\[IndentingNewLine]", 
   RowBox[{
   "\"\<\\\\begin{tabular}{lcc}\\n\>\"", "<>", "\n", 
    "\"\<\\\\hline \\\\hline \\n\>\"", "<>", "\[IndentingNewLine]", 
    RowBox[{"TexRow", "[", "colLabels", "]"}], "<>", "\"\< \\\\hline \>\"", "<>",
     "\[IndentingNewLine]", 
    RowBox[{"Table2Tex", "[", "thetaTable", "]"}], "<>", 
    "\"\< \\\\hline \>\"", "<>", "\[IndentingNewLine]", 
    "\"\<\\\\multicolumn{3}{l}{\\\\tiny $\\\\theta_{0}$ values are means \
across all fields in the sample.} \\\\\\\\ \\n\>\"", "<>", " ", 
    "\[IndentingNewLine]", 
    "\"\<\\\\multicolumn{3}{l}{\\\\tiny Standard errors in parentheses.} \\\\\
\\\\ \\n\>\"", "<>", " ", "\[IndentingNewLine]", 
    "\"\< \\\\end{tabular} \>\""}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{"dbfolder", "<>", "\"\<land_values/Output/theta_table.tex\>\""}], 
   ",", "outTable", ",", "\"\<Text\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.660221763021242*^9, 3.6602218140273814`*^9}, {
  3.7521802382494373`*^9, 3.7521802470272827`*^9}, {3.752180288807992*^9, 
  3.752180310824348*^9}, {3.8126606359174495`*^9, 3.812660714402378*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"ca35c8ca-a07e-4f0e-ad9a-02db5d19807f"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,103,13,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.660221758955695*^9, 3.660221815035524*^9}, {
   3.6683397109212074`*^9, 3.668339724781*^9}, 3.668340391394128*^9, 
   3.7521802521821404`*^9, 3.752180311875819*^9, 3.81266069492704*^9, 
   3.812660740912014*^9},
 CellLabel->
  "During evaluation of \
In[97]:=",ExpressionUUID->"195d9b1c-d265-42bd-b9f9-db193d62153e"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,104,14,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.660221758955695*^9, 3.660221815035524*^9}, {
   3.6683397109212074`*^9, 3.668339724781*^9}, 3.668340391394128*^9, 
   3.7521802521821404`*^9, 3.752180311875819*^9, 3.81266069492704*^9, 
   3.8126607409170275`*^9},
 CellLabel->
  "During evaluation of \
In[97]:=",ExpressionUUID->"a159e427-a2af-488c-9de1-d02c445a438b"],

Cell[BoxData["\<\"C:/Users/ptsco/Dropbox/land_values/Output/theta_table.tex\"\
\>"], "Output",
 CellChangeTimes->{
  3.66022181507555*^9, {3.6683397113322306`*^9, 3.6683397248930063`*^9}, 
   3.6683403915341363`*^9, 3.75218025231656*^9, 3.7521803119281893`*^9, 
   3.812660694977046*^9, 3.8126607409269857`*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"3f0098e3-e3e9-43f2-af92-77dd8f8029a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "version", " ", "of", " ", "table", " ", "with", " ", "CIs", " ", 
    "instead", " ", "of", " ", "std", " ", "errors"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"thetaCCP025", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"tableFormat", "[", 
        RowBox[{"#", ",", "3"}], "]"}], "&"}], "/@", 
      RowBox[{
       RowBox[{"Transpose", "[", "theta0ccp", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thetaCCP975", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"tableFormat", "[", 
        RowBox[{"#", ",", "3"}], "]"}], "&"}], "/@", 
      RowBox[{
       RowBox[{"Transpose", "[", "theta0ccp", "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thetaHybrid025", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"tableFormat", "[", 
        RowBox[{"#", ",", "3"}], "]"}], "&"}], "/@", 
      RowBox[{
       RowBox[{"Transpose", "[", "theta0hybrid", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thetaHybrid975", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"tableFormat", "[", 
        RowBox[{"#", ",", "3"}], "]"}], "&"}], "/@", 
      RowBox[{
       RowBox[{"Transpose", "[", "theta0hybrid", "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sigmaCCP025", "=", 
     RowBox[{"tableFormat", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"sigmas", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "3"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sigmaCCP975", "=", 
     RowBox[{"tableFormat", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"sigmas", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", "3"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sigmaHybrid025", "=", 
     RowBox[{"tableFormat", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"sigmas", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "3"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sigmaHybrid975", "=", 
     RowBox[{"tableFormat", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"sigmas", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", "3"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciTheta0CCP", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"\"\<(\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"thetaCCP025", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "<>", "\"\<,\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"thetaCCP975", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "<>", "\"\<)\>\""}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "thetaCCP025", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciTheta0Hybrid", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"\"\<(\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"thetaHybrid025", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "<>", "\"\<,\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"thetaHybrid975", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "<>", "\"\<)\>\""}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "thetaHybrid025", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciSigmaCCP", "=", 
     RowBox[{"\"\<(\>\"", "<>", 
      RowBox[{"ToString", "[", "sigmaCCP025", "]"}], "<>", "\"\<,\>\"", "<>", 
      RowBox[{"ToString", "[", "sigmaCCP975", "]"}], "<>", "\"\<)\>\""}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciSigmaHybrid", "=", 
     RowBox[{"\"\<(\>\"", "<>", 
      RowBox[{"ToString", "[", "sigmaHybrid025", "]"}], "<>", "\"\<,\>\"", "<>", 
      RowBox[{"ToString", "[", "sigmaHybrid975", "]"}], "<>", "\"\<)\>\""}]}],
     ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rowLabels", "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
      "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(crop,0\\\\right)/\\\\theta_{1}$\>\"\
", ",", "\"\< \>\"", ",", "\[IndentingNewLine]", 
       "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(crop,1\\\\right)/\\\\theta_{1}$\>\
\"", ",", "\"\< \>\"", ",", "\[IndentingNewLine]", 
       "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(crop,2\\\\right)/\\\\theta_{1}$\>\
\"", ",", "\"\< \>\"", ",", "\[IndentingNewLine]", 
       "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(nocrop,0\\\\right)/\\\\theta_{1}$\
\>\"", ",", "\"\< \>\"", ",", "\[IndentingNewLine]", 
       "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(nocrop,1\\\\right)/\\\\theta_{1}$\
\>\"", ",", "\"\< \>\"", ",", "\[IndentingNewLine]", 
       "\"\<$\\\\bar{\\\\theta}_{0}\\\\left(nocrop,2\\\\right)/\\\\theta_{1}$\
\>\"", ",", "\"\< \>\"", ",", "\[IndentingNewLine]", 
       "\"\<$\\\\theta_{1}^{-1}$\>\"", ",", "\"\< \>\""}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciTable", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"rowLabels", ",", "\[IndentingNewLine]", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Riffle", "[", 
           RowBox[{"thetaCCP", ",", "ciTheta0CCP"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"sigmaCCP", ",", "ciSigmaCCP"}], "}"}]}], "]"}], ",", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Riffle", "[", 
           RowBox[{"thetaHybrid", ",", "ciTheta0Hybrid"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"sigmaCCP", ",", "ciSigmaHybrid"}], "}"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciTable", "=", 
     RowBox[{"AddRow", "[", 
      RowBox[{"ciTable", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "3", "}"}], ",", 
         RowBox[{"{", "5", "}"}], ",", 
         RowBox[{"{", "7", "}"}], ",", 
         RowBox[{"{", "9", "}"}], ",", 
         RowBox[{"{", "11", "}"}], ",", 
         RowBox[{"{", "13", "}"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"colLabels", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Estimator:\>\"", ",", "\"\<CCP\>\"", ",", "\"\<V-CCP\>\""}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciTable", "=", 
     RowBox[{"StringReplace", "[", 
      RowBox[{
       RowBox[{"Table2Tex", "[", "ciTable", "]"}], ",", 
       RowBox[{"\"\<( )\>\"", "\[Rule]", "\"\< \>\""}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ciTable", "=", 
     RowBox[{"StringReplace", "[", 
      RowBox[{
       RowBox[{"Table2Tex", "[", "ciTable", "]"}], ",", 
       RowBox[{"\"\<(0,0)\>\"", "\[Rule]", "\"\< \>\""}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"outTable", "=", "\[IndentingNewLine]", 
     RowBox[{
     "\"\<\\\\begin{tabular}{lcc}\\n\>\"", "<>", "\n", 
      "\"\<\\\\hline \\\\hline \\n\>\"", "<>", "\[IndentingNewLine]", 
      RowBox[{"TexRow", "[", "colLabels", "]"}], "<>", 
      "\"\< \\\\hline \\\\\\\\\>\"", "<>", "\[IndentingNewLine]", 
      RowBox[{"Table2Tex", "[", "ciTable", "]"}], "<>", "\"\< \\\\hline \>\"",
       "<>", "\[IndentingNewLine]", 
      "\"\<\\\\multicolumn{3}{l}{\\\\tiny $\\\\theta_{0}$ values are means \
across all fields in the sample, divided by $\\\\theta_{1}$ so that } \
\\\\\\\\ \\n\>\"", "<>", " ", "\[IndentingNewLine]", 
      "\"\<\\\\multicolumn{3}{l}{\\\\tiny their units are in dollars. 95\\\\% \
confidence intervals in parentheses.} \\\\\\\\ \\n\>\"", "<>", " ", 
      "\[IndentingNewLine]", 
      "\"\<\\\\multicolumn{3}{l}{\\\\tiny Note that $\\\\theta_{1}$ is \
proportional to standard deviation of idiosycratic shocks, } \\\\\\\\ \
\\n\>\"", "<>", "\[IndentingNewLine]", 
      "\"\<\\\\multicolumn{3}{l}{\\\\tiny when payoff function is measured in \
dollars.} \\\\\\\\ \\n\>\"", "<>", " ", "\[IndentingNewLine]", 
      "\"\< \\\\end{tabular} \>\""}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
     "dbfolder", "<>", "\"\<land_values/Output/theta_table_ci.tex\>\""}], ",",
      "outTable", ",", "\"\<Text\>\""}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6599752366081986`*^9, 3.659975276334838*^9}, {
   3.6599891846151247`*^9, 3.659989222940024*^9}, {3.660091013855117*^9, 
   3.6600910385248737`*^9}, {3.660091073407942*^9, 3.6600914234910264`*^9}, {
   3.660091484895278*^9, 3.660091513647094*^9}, {3.6600915956722465`*^9, 
   3.6600916449045577`*^9}, {3.6600917491041822`*^9, 3.6600917586396213`*^9}, 
   3.6600918282973757`*^9, {3.6602215630221496`*^9, 3.660221566200469*^9}, 
   3.660221644469863*^9, {3.6602218870711236`*^9, 3.660221921003497*^9}, 
   3.6602479776364756`*^9, {3.6683397859474983`*^9, 3.6683397867955475`*^9}, {
   3.6683403751972017`*^9, 3.66834038425272*^9}, {3.752101588618554*^9, 
   3.752101589032426*^9}, {3.7521016337974663`*^9, 3.752101670678072*^9}, {
   3.75218033258043*^9, 3.752180345079369*^9}, {3.7521804883410397`*^9, 
   3.75218061930162*^9}, {3.752180675005629*^9, 3.752180835982634*^9}, {
   3.752180867292849*^9, 3.752180868432458*^9}, {3.752180902443613*^9, 
   3.752180932906844*^9}, {3.75218098277218*^9, 3.752180983232933*^9}, {
   3.752268901409751*^9, 3.752268908594371*^9}, {3.812660858867222*^9, 
   3.8126608716974707`*^9}},ExpressionUUID->"2cccc90f-e4d4-49d0-a34d-\
6e695587903a"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,123,15,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.8126608366818447`*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"b3931b61-645c-43e8-843c-8fdca30465b9"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,123,16,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.8126608366869383`*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"f57368b3-2e26-4e55-b65a-5d4e005cbbf5"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,124,17,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836696939*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"99420c93-7be2-4a34-8280-e155ac4d181a"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,124,18,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836696939*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"f2cb27a3-53c4-47b7-bfae-4b00ab77fb8a"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,125,19,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836706772*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"7a1ca3fe-525d-4157-9650-b452e3611d1e"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,125,20,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836706772*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"d41e75ef-b6a8-4386-8a99-1feda662425a"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,125,21,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836706772*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"1c4418d6-c26d-433b-8b5d-dfe017e5a420"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"NumberForm\\\", \
\\\"::\\\", \\\"reqsigz\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,125,22,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836717165*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"77ae1c2f-48fa-4e78-ae42-4df6f0b3bfaf"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,126,23,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836717165*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"0519cb72-eb3a-498c-92cb-8fffb3930d00"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,126,24,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836727022*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"e8428ae4-f618-4fca-8342-70bf8193a5a1"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,128,25,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.812660836727022*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"9f6aa7fd-9d52-432a-818c-0aff7319dfd2"],

Cell[BoxData[
 TemplateBox[{
  "NumberForm","reqsigz",
   "\"Requested number precision is lower than number of digits shown; \
padding with zeros.\"",2,130,26,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.8126608367372437`*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"6bd0fe8b-7133-4fcc-9d5a-3c235b25f30a"],

Cell[BoxData[
 TemplateBox[{
  "Export","nodir",
   "\"Directory \
\\!\\(\\*RowBox[{\\\"\\\\\\\"C:\\\\\\\\\\\\\\\\Users\\\\\\\\\\\\\\\\ptsco\\\\\
\\\\\\\\\\\\OneDrive\\\\\\\\\\\\\\\\Documents\\\\\\\\\\\\\\\\~\\\\\\\\\\\\\\\\\
Dropbox\\\\\\\\\\\\\\\\land_values\\\\\\\\\\\\\\\\Output\\\\\\\\\\\\\\\\\\\\\\\
\"\\\"}]\\) does not exist.\"",2,142,27,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.8126608367468505`*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"69482009-fca6-4e45-94f6-00786aa4e293"],

Cell[BoxData[
 TemplateBox[{
  "OpenWrite","noopen",
   "\"Cannot open \
\\!\\(\\*RowBox[{\\\"\\\\\\\"C:\\\\\\\\\\\\\\\\Users\\\\\\\\\\\\\\\\ptsco\\\\\
\\\\\\\\\\\\OneDrive\\\\\\\\\\\\\\\\Documents\\\\\\\\\\\\\\\\~\\\\\\\\\\\\\\\\\
Dropbox\\\\\\\\\\\\\\\\land_values\\\\\\\\\\\\\\\\Output\\\\\\\\\\\\\\\\theta_\
table_ci.tex\\\\\\\"\\\"}]\\).\"",2,142,28,25261957159915825764,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.660221921870555*^9, 3.6602219539822063`*^9, 3.6602479782254925`*^9, 
   3.668339791228801*^9, 3.6683403935162497`*^9, {3.75218031862246*^9, 
   3.752180345563908*^9}, 3.752180541904043*^9, 3.752180589199326*^9, 
   3.7521806211096*^9, {3.7521808094840937`*^9, 3.7521808382867928`*^9}, 
   3.7521808701843452`*^9, 3.752180906324883*^9, 3.7521809389696817`*^9, 
   3.752180984760902*^9, 3.8126608367468505`*^9},
 CellLabel->
  "During evaluation of \
In[123]:=",ExpressionUUID->"281c437f-bdf2-473d-9baf-93adcf35ed06"],

Cell[BoxData["$Failed"], "Output",
 CellChangeTimes->{{3.6600915986742363`*^9, 3.660091646159733*^9}, 
   3.6600917599910126`*^9, 3.660091829119401*^9, 3.6602215688962984`*^9, 
   3.6602216449019656`*^9, 3.6602218256371503`*^9, 3.6602219221159797`*^9, 
   3.6602219542039394`*^9, 3.6602479784816265`*^9, 3.6683397915528193`*^9, 
   3.6683403938392677`*^9, {3.752180319173065*^9, 3.752180345819194*^9}, 
   3.75218054216171*^9, 3.752180589507345*^9, 3.7521806213759604`*^9, {
   3.752180809728262*^9, 3.7521808385647917`*^9}, 3.752180870503643*^9, 
   3.75218090657526*^9, 3.752180939317952*^9, 3.752180985005041*^9, 
   3.8126608367468505`*^9},
 CellLabel->
  "Out[142]=",ExpressionUUID->"7e2c7a9b-3121-4eed-9d9c-b0a46964b8da"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["counterfactuals", "Section",
 CellChangeTimes->{{3.645130030689745*^9, 3.6451300364207735`*^9}, {
  3.645173911163419*^9, 3.6451739165812535`*^9}, {3.645173951226044*^9, 
  3.6451739519464474`*^9}, {3.645176269410015*^9, 3.645176271554426*^9}, {
  3.6452106515171976`*^9, 3.6452106522462177`*^9}, {3.64521069490095*^9, 
  3.6452107179956026`*^9}, {3.659989236943923*^9, 
  3.659989250346249*^9}},ExpressionUUID->"5ea8aeef-698f-47cc-8cb6-\
a303a358b4ad"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cfTable", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"tableFormat", "[", 
       RowBox[{"#", ",", "2"}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"lreCCP", ",", "lreHybrid"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"etCCP", ",", "etHybrid"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rowLabels", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<Long-run elasticity\>\"", ",", "\"\<Fertilizer tax\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"colLabels", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<Estimator:\>\"", ",", "\"\<CCP\>\"", ",", "\"\<V-CCP\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cfTable", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Prepend", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", "cfTable", "]"}], ",", "rowLabels"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",ExpressionUUID->\
"ab6c768e-6a93-4f01-8f3a-dead52bd9629"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"outTable", "=", "\[IndentingNewLine]", 
     RowBox[{
     "\"\<\\\\begin{tabular}{lcc}\\n\>\"", "<>", "\n", 
      "\"\<\\\\hline \\\\hline \\n\>\"", "<>", "\[IndentingNewLine]", 
      RowBox[{"TexRow", "[", "colLabels", "]"}], "<>", "\"\< \\\\hline \>\"", 
      "<>", "\[IndentingNewLine]", 
      RowBox[{"Table2Tex", "[", "cfTable", "]"}], "<>", "\"\< \\\\hline \>\"",
       "<>", "\"\<\\\\multicolumn{3}{l}{\\\\tiny Fertilizer tax statistic is \
percentage change in long-run cropland.} \\\\\\\\ \\n\>\"", "<>", 
      "\[IndentingNewLine]", 
      "\"\<\\\\multicolumn{3}{l}{\\\\tiny Long-run elasticity is a 10 percent \
arc elasticity.} \\\\\\\\ \\n\>\"", "<>", " ", " ", "\[IndentingNewLine]", 
      "\"\< \\\\end{tabular} \>\""}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"dbfolder", "\"\<land_values/Output/cf_table.tex\>\""}], ",", 
     "outTable", ",", "\"\<Text\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6452129749195843`*^9, 3.645212976752057*^9}, {
   3.645213299333358*^9, 3.645213347953871*^9}, {3.6452133913057084`*^9, 
   3.645213611104943*^9}, {3.6452136648213873`*^9, 3.6452137106569476`*^9}, {
   3.6452137558552904`*^9, 3.645213833574596*^9}, {3.645213984060423*^9, 
   3.645213989094739*^9}, {3.6452193274499645`*^9, 3.645219471898222*^9}, {
   3.647871737140055*^9, 3.647871743024446*^9}, {3.6483778736085587`*^9, 
   3.64837787510674*^9}, {3.6483792067005005`*^9, 3.6483792336476774`*^9}, 
   3.64857730871587*^9, {3.648795591173639*^9, 3.6487955926203055`*^9}, {
   3.6487956999642105`*^9, 3.6487957016293044`*^9}, {3.648795740615656*^9, 
   3.648795743020569*^9}, {3.6683397970821357`*^9, 3.6683398326671705`*^9}, {
   3.812660867286853*^9, 
   3.8126608815668592`*^9}},ExpressionUUID->"2ef83250-7548-4680-bcf5-\
fb39bebc270b"],

Cell[BoxData["\<\"F:/Dropbox/land_values/Output/cf_table.tex\"\>"], "Output",
 CellChangeTimes->{
  3.645213874454919*^9, {3.6452139698370667`*^9, 3.6452139907991333`*^9}, 
   3.64521940606702*^9, {3.6452194481067147`*^9, 3.645219473328103*^9}, 
   3.6478859249456544`*^9, 3.648217176236767*^9, 3.6482178676484795`*^9, 
   3.6482179756610274`*^9, 3.648354807992859*^9, 3.648354896771261*^9, {
   3.648369027537966*^9, 3.6483690328762627`*^9}, 3.64837879619765*^9, 
   3.648379235963318*^9, 3.648464800638287*^9, 3.6485771593156176`*^9, 
   3.648577310497488*^9, 3.6487302301078215`*^9, 3.6487956020644774`*^9, 
   3.6487957568185806`*^9, 3.648821603323745*^9, {3.648823095438854*^9, 
   3.648823123785098*^9}, 
   3.6683398388125224`*^9},ExpressionUUID->"dc34ed84-d8f4-4450-b8b6-\
8b65f4540a53"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1044, 603},
WindowMargins->{{Automatic, -6}, {Automatic, 1}},
Magnification:>0.9 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 26, "Input",ExpressionUUID->"f35703b0-99b9-4a4b-9e06-b02ea72953c8"],
Cell[743, 26, 254, 5, 26, "Input",ExpressionUUID->"cb32d2df-96f7-4564-9b62-d550b6e25595"],
Cell[CellGroupData[{
Cell[1022, 35, 171, 3, 60, "Section",ExpressionUUID->"85d9ae5b-25bd-4995-baf8-8ed1c43a2181"],
Cell[1196, 40, 16812, 508, 1431, "Input",ExpressionUUID->"09de5723-ef51-4a6a-b262-abbf6e636886"],
Cell[18011, 550, 173, 2, 26, "Input",ExpressionUUID->"f3d36114-c3ac-4b16-a2cd-8e1b3b62ab1f"]
}, Closed]],
Cell[CellGroupData[{
Cell[18221, 557, 213, 4, 48, "Section",ExpressionUUID->"2bc86e8b-82bf-414b-af39-8dcd3467e182"],
Cell[CellGroupData[{
Cell[18459, 565, 932, 23, 81, "Input",ExpressionUUID->"13db9a59-6ee2-448e-afb5-360fa424c3d9"],
Cell[19394, 590, 1344, 26, 94, "Output",ExpressionUUID->"ce7a62ad-4dc1-4532-90e8-297888fe9372"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20775, 621, 3795, 80, 243, "Input",ExpressionUUID->"019b91a4-d5a1-42ee-9b46-328fbaebb8d4"],
Cell[24573, 703, 571, 12, 20, "Message",ExpressionUUID->"dbaff67f-0797-4293-8278-dee92b4f16a7"],
Cell[25147, 717, 571, 12, 20, "Message",ExpressionUUID->"d95ca66f-219e-4e86-9898-e39244d879c7"],
Cell[25721, 731, 573, 12, 20, "Message",ExpressionUUID->"896cf132-fc16-4bea-8334-7bc8bf02dace"],
Cell[26297, 745, 647, 13, 20, "Message",ExpressionUUID->"99fc05ca-4eda-480a-b908-4c3fe6ab26b6"],
Cell[26947, 760, 1875, 40, 191, "Output",ExpressionUUID->"59648ec9-8c57-4607-8d1c-7ef4968f53fc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28859, 805, 2432, 45, 211, "Input",ExpressionUUID->"547f9c45-1134-481c-8bca-d3756b83b71f"],
Cell[31294, 852, 348, 5, 30, "Output",ExpressionUUID->"5e8dadea-de55-40a9-ad18-ec3522b1c613"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[31691, 863, 311, 5, 60, "Section",ExpressionUUID->"208c5bd1-1d2b-445e-895b-6a4da56ef4be"],
Cell[32005, 870, 1270, 36, 117, "Input",ExpressionUUID->"99071069-401a-4d70-8621-ad35f47444b5"],
Cell[CellGroupData[{
Cell[33300, 910, 3824, 96, 207, "Input",ExpressionUUID->"b9584452-3cbf-4142-8c70-ef86d4901c51"],
Cell[37127, 1008, 696, 14, 20, "Message",ExpressionUUID->"e2823b93-bc23-4cb6-809d-98ebe4aa7796"],
Cell[37826, 1024, 696, 14, 20, "Message",ExpressionUUID->"fa8116ce-03f5-4868-8010-3a7413837d0d"],
Cell[38525, 1040, 696, 14, 20, "Message",ExpressionUUID->"0c1582f0-895a-40f0-8861-4aca507059ed"],
Cell[39224, 1056, 772, 15, 20, "Message",ExpressionUUID->"cbc717c1-a84e-47b0-abfe-ee97439b5c14"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40033, 1076, 1010, 21, 153, "Input",ExpressionUUID->"c197e005-94d3-44bf-8041-1e01ac616b50"],
Cell[41046, 1099, 919, 13, 229, "Output",ExpressionUUID->"be500a65-d0f3-4bd0-a942-7f8e5bb29ddd"],
Cell[41968, 1114, 411, 7, 30, "Output",ExpressionUUID->"f6716651-83c4-48e1-9fec-d000bdca6e62"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42428, 1127, 465, 7, 60, "Section",ExpressionUUID->"bb630f90-1e00-4bab-986d-40c3d55cc262"],
Cell[CellGroupData[{
Cell[42918, 1138, 7829, 211, 801, "Input",ExpressionUUID->"ca35c8ca-a07e-4f0e-ad9a-02db5d19807f"],
Cell[50750, 1351, 570, 12, 20, "Message",ExpressionUUID->"195d9b1c-d265-42bd-b9f9-db193d62153e"],
Cell[51323, 1365, 572, 12, 20, "Message",ExpressionUUID->"a159e427-a2af-488c-9de1-d02c445a438b"],
Cell[51898, 1379, 394, 7, 30, "Output",ExpressionUUID->"3f0098e3-e3e9-43f2-af92-77dd8f8029a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52329, 1391, 9936, 234, 819, "Input",ExpressionUUID->"2cccc90f-e4d4-49d0-a34d-6e695587903a"],
Cell[62268, 1627, 771, 15, 20, "Message",ExpressionUUID->"b3931b61-645c-43e8-843c-8fdca30465b9"],
Cell[63042, 1644, 771, 15, 20, "Message",ExpressionUUID->"f57368b3-2e26-4e55-b65a-5d4e005cbbf5"],
Cell[63816, 1661, 769, 15, 20, "Message",ExpressionUUID->"99420c93-7be2-4a34-8280-e155ac4d181a"],
Cell[64588, 1678, 769, 15, 20, "Message",ExpressionUUID->"f2cb27a3-53c4-47b7-bfae-4b00ab77fb8a"],
Cell[65360, 1695, 769, 15, 20, "Message",ExpressionUUID->"7a1ca3fe-525d-4157-9650-b452e3611d1e"],
Cell[66132, 1712, 769, 15, 20, "Message",ExpressionUUID->"d41e75ef-b6a8-4386-8a99-1feda662425a"],
Cell[66904, 1729, 769, 15, 20, "Message",ExpressionUUID->"1c4418d6-c26d-433b-8b5d-dfe017e5a420"],
Cell[67676, 1746, 843, 16, 20, "Message",ExpressionUUID->"77ae1c2f-48fa-4e78-ae42-4df6f0b3bfaf"],
Cell[68522, 1764, 769, 15, 20, "Message",ExpressionUUID->"0519cb72-eb3a-498c-92cb-8fffb3930d00"],
Cell[69294, 1781, 769, 15, 20, "Message",ExpressionUUID->"e8428ae4-f618-4fca-8342-70bf8193a5a1"],
Cell[70066, 1798, 769, 15, 20, "Message",ExpressionUUID->"9f6aa7fd-9d52-432a-818c-0aff7319dfd2"],
Cell[70838, 1815, 771, 15, 20, "Message",ExpressionUUID->"6bd0fe8b-7133-4fcc-9d5a-3c235b25f30a"],
Cell[71612, 1832, 957, 18, 20, "Message",ExpressionUUID->"69482009-fca6-4e45-94f6-00786aa4e293"],
Cell[72572, 1852, 966, 18, 20, "Message",ExpressionUUID->"281c437f-bdf2-473d-9baf-93adcf35ed06"],
Cell[73541, 1872, 727, 11, 30, "Output",ExpressionUUID->"7e2c7a9b-3121-4eed-9d9c-b0a46964b8da"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[74317, 1889, 459, 7, 60, "Section",ExpressionUUID->"5ea8aeef-698f-47cc-8cb6-a303a358b4ad"],
Cell[74779, 1898, 1117, 32, 99, "Input",ExpressionUUID->"ab6c768e-6a93-4f01-8f3a-dead52bd9629"],
Cell[CellGroupData[{
Cell[75921, 1934, 1921, 33, 207, "Input",ExpressionUUID->"2ef83250-7548-4680-bcf5-fb39bebc270b"],
Cell[77845, 1969, 795, 12, 30, "Output",ExpressionUUID->"dc34ed84-d8f4-4450-b8b6-8b65f4540a53"]
}, Open  ]]
}, Open  ]]
}
]
*)

